Canvas5ParserInternal::State Struct Reference

Internal: the state of a Canvas5Parser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

bool | m_isWindowsFile
| true if this is a windows file
std::shared_ptr< Canvas5Structure::Stream > | m_stream
| the current stream
int | m_type
| the document type 1: graphic, 2: list of pages, 3: slides
int | m_fileFlags
| the file flags
int | m_documentSetup
| the document setup: 0 full page, 1: two page bottom/down, 2: four page
bool | m_facingPages
| true if the document uses facing page
int | m_numSlides
| the number of slides
std::vector< int > | m_slideIds
| the slides id
std::map< int, Slide > | m_idToSlide
| the slide data
int | m_numLayers
| the number of layer
std::map< int, Layer > | m_idToLayer
| the layer data
std::set< int > | m_layerIdInMasterSet
| the list of layer present in the master page
int | m_numShapes
| the number of shapes
std::map< int, librevenge::RVNGString > | m_idToTextLink
| the id the text link map
librevenge::RVNGPropertyList | m_metaData
| the meta data

## Detailed Description

Internal: the state of a Canvas5Parser.

## Constructor & Destructor Documentation

## State()

Canvas5ParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_documentSetup

int Canvas5ParserInternal::State::m_documentSetup

the document setup: 0 full page, 1: two page bottom/down, 2: four page

Referenced by State().

## m_facingPages

bool Canvas5ParserInternal::State::m_facingPages

true if the document uses facing page

Referenced by State().

## m_fileFlags

int Canvas5ParserInternal::State::m_fileFlags

the file flags

Referenced by State().

## m_idToLayer

std::map<int, Layer> Canvas5ParserInternal::State::m_idToLayer

the layer data

Referenced by State().

## m_idToSlide

std::map<int, Slide> Canvas5ParserInternal::State::m_idToSlide

the slide data

Referenced by State().

## m_idToTextLink

std::map<int, librevenge::RVNGString> Canvas5ParserInternal::State::m_idToTextLink

the id the text link map

Referenced by State().

## m_isWindowsFile

bool Canvas5ParserInternal::State::m_isWindowsFile

true if this is a windows file

Referenced by State().

## m_layerIdInMasterSet

std::set<int> Canvas5ParserInternal::State::m_layerIdInMasterSet

the list of layer present in the master page

Referenced by State().

## m_metaData

librevenge::RVNGPropertyList Canvas5ParserInternal::State::m_metaData

the meta data

Referenced by State().

## m_numLayers

int Canvas5ParserInternal::State::m_numLayers

the number of layer

Referenced by State().

## m_numShapes

int Canvas5ParserInternal::State::m_numShapes

the number of shapes

Referenced by State().

## m_numSlides

int Canvas5ParserInternal::State::m_numSlides

the number of slides

Referenced by State().

## m_slideIds

std::vector<int> Canvas5ParserInternal::State::m_slideIds

the slides id

Referenced by State().

## m_stream

std::shared_ptr<Canvas5Structure::Stream> Canvas5ParserInternal::State::m_stream

the current stream

Referenced by State().

## m_type

int Canvas5ParserInternal::State::m_type

the document type 1: graphic, 2: list of pages, 3: slides

Referenced by State().

The documentation for this struct was generated from the following file:

- Canvas5Parser.cxx